From: "Mark Musone" <[email-masked]>
Date: 6 Jul 2000 18:32:14 -0000

>At 02:23 PM 2/18/00 , Dannie M Stanley wrote:
>>I realize ICAP is a protocol, but I want to start using it in combination
>>with mcal and I cannot for the life of me figure out where to start.  If
>>someone could answer the following to help me get started I would be >greatly
>>appreciative:
>>
>>Where can I find an ICAP compliant server?

>You may be able to find an ICAP server on freshmeat.net. 

>ICAP is the calendaring access protocol defined in a venerable draft that >Pete O'Leary wrote in mid-1998. The draft expired in December of 1998 and >was not renewed. The obsolete draft was removed from the CALSCH website >several months ago after being superceded by the current CAP drafts. 
>
>The protocol behind mcal was obsolete the day the project started, so if >you are a programmer, you should probably devote your efforts to working >on the currently accepted iCal protocols. 

>eric. 

I disagree. mcal was not made with any one protocol in mind. As stated in the mcal docs, it was created in the same way that c-client was created, as a wrapper such that _any_ protocol driver can be plugged in. Yes, the first
driver written was ICAP, and in the docs there is a good explaination 
as to why it was chosen. As Brian Moseley stated in his email, we too are going full steam ahead with ICAP. The slowness and possibly more importantly the rigidness defined by CAP does not seem to favor well with
us or with others.
  (i.e. things such as embedding SQL queries in CAP queries)

mcal however will work fine with CAP, and a CAP driver is currently being written.

Mark